#!/bin/sh
curl -s https://dl.google.com/dl/edgedl/chromeos/recovery/recovery.conf \
| grep -A 12 'Acer Chromebook R13' \
| grep -o 'https.*' | xargs curl > /storage/image.bin.zip
echo "import zipfile" > /storage/unzip.py
echo "with zipfile.ZipFile('/storage/image.bin.zip','r') as zip_ref:" >> /storage/unzip.py
echo -e "\t zip_ref.extractall('/storage')" >> /storage/unzip.py
chmod a+x /storage/unzip.py
echo "Datei wird extrahiert. Bitte Geduld."
python /storage/unzip.py
mv /storage/*.bin /storage/image.bin
LOPD=$(losetup -f)
losetup -P $LOPD /storage/image.bin
mkdir -p /storage/chromeos
mount -o ro ${LOPD}p3 /storage/chromeos
cp /storage/chromeos/opt/google/chrome/libwidevinecdm.so ~/.kodi/cdm/
chmod 644 ~/.kodi/cdm/libwidevinecdm*
echo "Alles erledigt. Bitte Libreelec neu starten!"
umount /storage/chromeos
rmdir /storage/chromeos
rm /storage/image.bin*
rm /storage/unzip.py